# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.models.recipe_dto import RecipeDto

class TestRecipeDto(unittest.TestCase):
    """RecipeDto unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> RecipeDto:
        """Test RecipeDto
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `RecipeDto`
        """
        model = RecipeDto()
        if include_optional:
            return RecipeDto(
                id = '',
                created_at = datetime.datetime.strptime('1975-12-30', '%Y-%m-%d').date(),
                title = '',
                content = '',
                yield_quantity = 56,
                measures = [
                    java_api_python_client.models.measure_dto.MeasureDto(
                        quantity = 1.337, 
                        ingredient = '', 
                        unit = '', 
                        ingredient_id = '', 
                        unit_id = '', )
                    ],
                picture_ids = [
                    ''
                    ],
                link = ''
            )
        else:
            return RecipeDto(
                id = '',
                created_at = datetime.datetime.strptime('1975-12-30', '%Y-%m-%d').date(),
                title = '',
                content = '',
                yield_quantity = 56,
                measures = [
                    java_api_python_client.models.measure_dto.MeasureDto(
                        quantity = 1.337, 
                        ingredient = '', 
                        unit = '', 
                        ingredient_id = '', 
                        unit_id = '', )
                    ],
        )
        """

    def testRecipeDto(self):
        """Test RecipeDto"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
